Summary: Lambda Prolog - a higher-order logic programming language
Name: teyjus
%define real_version 1.0-b29
Version: 1.0_b29
Release: 8mdk
Copyright: GPL
Group: Development/Other
Source: http://rustler.cs.uchicago.edu/teyjus/releases/%{name}.tar.bz2
Source4: %{name}.menu
BuildRoot: /var/tmp/%{name}-root

%description
Teyjus is an efficient implementation of the higher-order logic programming
language Lambda Prolog. One of the main strengths of Lambda Prolog, a language
originally developed by Dale Miller and Gopalan Nadathur, is the support it
offers for higher-order abstract syntax, a new and increasingly popular way to
view the structure of objects such as formulas and programs. Lambda Prolog
realizes this facility by employing data structures based on lambda terms to
represent the notion of binding and by including primitives for probing such
terms in logically meaningful ways. The new features present in the language
pose several implementation challenges that have been addressed in the work of
Nadathur and his colleagues. The Teyjus system is a compiler and abstract
machine based realization of Lambda Prolog that incorporates the ideas that have
resulted from this research.

%prep
%setup -n %{name}-%{real_version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr

install -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
mv $RPM_BUILD_ROOT/usr/examples $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}

install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/menu/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/%{name}.info.bz2 /usr/info/dir
/sbin/install-info /usr/info/%{name}_impl.info.bz2 /usr/info/dir

if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete /usr/info/%{name}.info.bz2 /usr/info/dir
  /sbin/install-info --delete /usr/info/%{name}_impl.info.bz2 /usr/info/dir
fi

%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root)
/usr/doc/%{name}-%{version}
/usr/info/*
/usr/bin/*
/usr/lib/menu/*

%changelog
* Sun Apr 16 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-8mdk
- new group

* Tue Apr 11 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-7mdk
- update-menus in postun not preun

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-6mdk
- *really* add menu

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-5mdk
- really add menu

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 1.0_b29-4mdk
- add menu

* Tue Mar 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0_b29-3mdk
- changed group, re-packaged

* Thu Jan 20 2000 Pixel <pixel@mandrakesoft.com>
- fixed buggy % post

* Thu Jan 20 2000 Pixel <pixel@mandrakesoft.com>
- initial spec
